`timescale 1ns/1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 01/17/2019 01:44:22 AM
// Design Name: 
// Module Name: project_2
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module LFSR(iClock);
	input iClock;
	integer				MSB				= 4;
	reg 		[4:0] LFSR 			= 1'b1;
	reg 					FEEDBACK	= 1'b0;
	reg						OUTPUT		= 1'b0;

	always @ (posedge(iClock)) begin
		OUTPUT <= LFSR[MSB];
		//Feedback value based on hard-coded polynomial
		FEEDBACK <= ( ( LFSR[4] ^ LFSR[1] ) ^ LFSR[0] );
		//Left shift register
		LFSR 		<= LFSR << 1;
		//Insert feedback value at LSB
		LFSR[0] <= FEEDBACK;
	end
endmodule

