`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Engineer: Magnus verb
// 
// Create Date: 02/12/2019 10:15:55 AM
// Module Name: clock
// Target Devices: Nexys A7
// Description: 
//		input clock: should be the standard clock provided by the board
//    output rClock: is to be wired as input to the required modules
// Dependencies: 
// 		External clocker.
//
// Revisions:
//		0.1 - File Created
//		0.2 - 
//		0.3 - 
//		0.4 - 
//		0.5 - 
//////////////////////////////////////////////////////////////////////////////////

module clock_synth(	input clock, output reg rClock );
	initial begin
		rClock = 1'b0;
	end
	
	always @ (posedge(clock))	begin
		rClock = !rClock;
	end
endmodule
